Get Time Schedules (all)
GET /v1/reservations/timeschedules/{deviceId}/all
Gets all reservation time schedules for a given VAKA system.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
deviceId string(uuid) path parameter (required)
Identifier of the VAKA system to get schedules from.
pageSize int32 query parameter (optional)
The maximum number of schedules to return. Default page size is 50, maximum allowed page size is 100.
continuationToken (string) query parameter (optional)
Token returned in a previous response that can be used to return the next page of schedules.
Response
200 OK
A list containing details about each reservation time schedule.
Body
timeSchedules array of ReservationTimeSchedule objects
A list of ReservationTimeSchedule objects.
Show ReservationTimeSchedule attributes
Represents a time schedule used for booking.
id string(uuid)
Unique identifier of the reservation time schedule.
deviceId string(uuid)
Identifier of the VAKA system the reservation time schedule belongs to.
scheduleType string
The type of schedule. Can be one of the following values:
WeekRolling week schedule with pre-defined time slots for each weekday.
schedule object
Contains data about the specific schedule, where the structure of this object varies depending on the value of scheduleType:
Week3-dimensional array as following:[WeekDay][Slot][StartTime, Length]WeekDay= Element representing day of the week, where element 0 = Monday.Slot= Each element represents an individual time slot.StartTime= Start time of the slot in number of minutes from midnight.Length= Length of the slot in number of minutes.
continuationToken string
A token that can be used in subsequent request to fetch the next page of schedules, or null if there is no more schedules to get.
Last updated